import request from '@/utils/request'

// 查询员工卡管理列表
export function listCard(query) {
  return request({
    url: '/plant/card/list',
    method: 'get',
    params: query
  })
}

// 查询员工卡管理详细
export function getCard(cardId) {
  return request({
    url: '/plant/card/' + cardId,
    method: 'get'
  })
}

// 新增员工卡管理
export function addCard(data) {
  return request({
    url: '/plant/card',
    method: 'post',
    data: data
  })
}

// 修改员工卡管理
export function updateCard(data) {
  return request({
    url: '/plant/card',
    method: 'put',
    data: data
  })
}

// 删除员工卡管理
export function delCard(cardId) {
  return request({
    url: '/plant/card/' + cardId,
    method: 'delete'
  })
}
